> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace investigations (canvas data excluded)



## OpenAPI

````yaml /api-reference/platform-api.json get /v2/investigations
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.13
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/investigations:
    get:
      tags:
        - Investigations
      summary: List workspace investigations (canvas data excluded)
      operationId: list
      parameters:
        - name: status
          required: false
          in: query
          schema:
            type: string
            enum:
              - open
              - archived
        - name: subject_address
          required: false
          in: query
          schema:
            type: string
            maxLength: 256
            example: 0xabc...
        - name: subject_network
          required: false
          in: query
          schema:
            type: string
            maxLength: 256
            example: eth
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: number
        - name: offset
          required: false
          in: query
          schema:
            minimum: 0
            default: 0
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListInvestigationsResponseDto'
components:
  schemas:
    ListInvestigationsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/InvestigationListItemDto'
        total:
          type: number
          example: 12
      required:
        - items
        - total
    InvestigationListItemDto:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        workspace_id:
          type: string
          example: workspace-123
        title:
          type: string
          example: Peel chain from Binance hot wallet
        subject_type:
          type: string
          nullable: true
          enum:
            - address
            - transaction
        subject_address:
          type: string
          nullable: true
          example: 0xabc...
        subject_network:
          type: string
          nullable: true
          example: eth
        subject_tx_hash:
          type: string
          nullable: true
          example: 0xdef...
        status:
          type: string
          enum:
            - open
            - archived
          example: open
        created_by:
          type: string
          nullable: true
          example: analyst@range.org
        created_at:
          type: string
          example: '2026-07-09T00:00:00.000Z'
        updated_at:
          type: string
          example: '2026-07-09T00:00:00.000Z'
      required:
        - id
        - workspace_id
        - title
        - status
        - created_at
        - updated_at
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````